org.apache.solr.rest.schema

## Class FieldTypeXmlAdapter

- java.lang.Object
- - org.apache.solr.rest.schema.FieldTypeXmlAdapter

-     public class FieldTypeXmlAdapter
      extends Object

  Utility class for converting a JSON definition of a FieldType into the XML format expected by the FieldTypePluginLoader.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldTypeXmlAdapter()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected static Element` | `appendAttrs(Element elm, Map<String,?> json)`
    `protected static void` | `appendFilterElements(Document doc, Element analyzer, String filterName, List<Map<String,?>> filters)`
    `protected static Element` | `createAnalyzerElement(Document doc, String type, Map<String,?> analyzer)`
    `static Node` | `toNode(Map<String,?> json)`
    `protected static Element` | `transformAnalyzer(Document doc, Map<String,?> json, String jsonFieldName, String analyzerType)`
    `protected static Element` | `transformSimilarity(Document doc, Map<String,?> json, String jsonFieldName)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldTypeXmlAdapter

          public FieldTypeXmlAdapter()

  - ### Method Detail

    - #### toNode

          public static Node toNode(Map<String,?> json)

    - #### transformSimilarity

          protected static Element transformSimilarity(Document doc,
                                                       Map<String,?> json,
                                                       String jsonFieldName)

    - #### transformAnalyzer

          protected static Element transformAnalyzer(Document doc,
                                                     Map<String,?> json,
                                                     String jsonFieldName,
                                                     String analyzerType)

    - #### createAnalyzerElement

          protected static Element createAnalyzerElement(Document doc,
                                                         String type,
                                                         Map<String,?> analyzer)

    - #### appendFilterElements

          protected static void appendFilterElements(Document doc,
                                                     Element analyzer,
                                                     String filterName,
                                                     List<Map<String,?>> filters)

    - #### appendAttrs

          protected static Element appendAttrs(Element elm,
                                               Map<String,?> json)

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.